
#include <stdio.h>

#include "crc32.h"

int main(void) {
	crc32_t state = crc32_reset();

	do {
		char c;
		if (fread(&c, 1, 1, stdin) != 1)
			break;

		state = crc32_update(state, (uint8_t)c);
	} while(23);

	state = crc32_finalize(state);
	printf("%08x\n", state);
	return 0;
}
